# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_ListOfAsciiString Class Reference

`#include <TestTopOpeDraw_ListOfAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TestTopOpeDraw_ListOfAsciiString ()
Standard_EXPORT void | Assign (const TestTopOpeDraw_ListOfAsciiString &Other)
void | operator= (const TestTopOpeDraw_ListOfAsciiString &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TestTopOpeDraw_ListOfAsciiString ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TCollection_AsciiString &I)
Standard_EXPORT void | Prepend (const TCollection_AsciiString &I, TestTopOpeDraw_ListIteratorOfListOfAsciiString &theIt)
Standard_EXPORT void | Prepend (TestTopOpeDraw_ListOfAsciiString &Other)
Standard_EXPORT void | Append (const TCollection_AsciiString &I)
Standard_EXPORT void | Append (const TCollection_AsciiString &I, TestTopOpeDraw_ListIteratorOfListOfAsciiString &theIt)
Standard_EXPORT void | Append (TestTopOpeDraw_ListOfAsciiString &Other)
Standard_EXPORT TCollection_AsciiString & | First () const
Standard_EXPORT TCollection_AsciiString & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TestTopOpeDraw_ListIteratorOfListOfAsciiString &It)
Standard_EXPORT void | InsertBefore (const TCollection_AsciiString &I, TestTopOpeDraw_ListIteratorOfListOfAsciiString &It)
Standard_EXPORT void | InsertBefore (TestTopOpeDraw_ListOfAsciiString &Other, TestTopOpeDraw_ListIteratorOfListOfAsciiString &It)
Standard_EXPORT void | InsertAfter (const TCollection_AsciiString &I, TestTopOpeDraw_ListIteratorOfListOfAsciiString &It)
Standard_EXPORT void | InsertAfter (TestTopOpeDraw_ListOfAsciiString &Other, TestTopOpeDraw_ListIteratorOfListOfAsciiString &It)

## Private Member Functions

Standard_EXPORT | TestTopOpeDraw_ListOfAsciiString (const TestTopOpeDraw_ListOfAsciiString &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_ListOfAsciiString::TestTopOpeDraw_ListOfAsciiString | ( |  | ) |

TestTopOpeDraw_ListOfAsciiString::~TestTopOpeDraw_ListOfAsciiString | ( |  | ) | `[inline]`

Standard_EXPORT TestTopOpeDraw_ListOfAsciiString::TestTopOpeDraw_ListOfAsciiString | ( | const TestTopOpeDraw_ListOfAsciiString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Append | ( | TestTopOpeDraw_ListOfAsciiString & | Other | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Append | ( | const TCollection_AsciiString & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | theIt
| ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Append | ( | const TCollection_AsciiString & | I | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Assign | ( | const TestTopOpeDraw_ListOfAsciiString & | Other | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TestTopOpeDraw_ListOfAsciiString::Extent | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString& TestTopOpeDraw_ListOfAsciiString::First | ( |  | ) | const

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::InsertAfter | ( | TestTopOpeDraw_ListOfAsciiString & | Other,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | It
| ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::InsertAfter | ( | const TCollection_AsciiString & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | It
| ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::InsertBefore | ( | TestTopOpeDraw_ListOfAsciiString & | Other,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | It
| ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::InsertBefore | ( | const TCollection_AsciiString & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | It
| ) |

Standard_Boolean TestTopOpeDraw_ListOfAsciiString::IsEmpty | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString& TestTopOpeDraw_ListOfAsciiString::Last | ( |  | ) | const

void TestTopOpeDraw_ListOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TestTopOpeDraw_ListOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* TestTopOpeDraw_ListOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TestTopOpeDraw_ListOfAsciiString::operator= | ( | const TestTopOpeDraw_ListOfAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Prepend | ( | TestTopOpeDraw_ListOfAsciiString & | Other | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Prepend | ( | const TCollection_AsciiString & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | theIt
| ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Prepend | ( | const TCollection_AsciiString & | I | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::Remove | ( | TestTopOpeDraw_ListIteratorOfListOfAsciiString & | It | ) |

Standard_EXPORT void TestTopOpeDraw_ListOfAsciiString::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TestTopOpeDraw_ListOfAsciiString::myFirst `[private]`

Standard_Address TestTopOpeDraw_ListOfAsciiString::myLast `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_ListOfAsciiString.hxx